import { obtenerNombreModulo } from "../../../../assets/js/app/funcionesGenerales.js";
import metodosFetch from "../../../../assets/js/app/metodosFetch.js";

class TipoMovimiento {
  constructor() {}

  static async obtenerTodos() {
    try {
      const response = await metodosFetch.get({
        archivo: "controllers/tipoMovimientoEmpleadoController",
        modulo: obtenerNombreModulo(),
        parametros: {
          accion: "obtenerTodos",
        },
      });

      return response;
    } catch (err) {
      throw err;
    }
  }
}

export default TipoMovimiento;
